package com.ruoyi.system.user.service;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.system.user.domain.UserQuery;
import com.ruoyi.system.user.domain.vo.UserAgentStatVO;
import com.ruoyi.system.user.domain.vo.UserStatVO;

public interface UserDashboard {

    /**
     * 查询最大的分成比例
     */
    BigDecimal selectMaxOfPoint(UserQuery query);

    /**
     * 查询统计数据
     */
    UserStatVO selectStat(UserQuery query, List<String> keys);

    /**
     * 查询代理统计数据
     */
    UserAgentStatVO selectAgentStat(UserQuery query, List<String> keys);

    /**
     * 查询用户余额
     */
    BigDecimal selectSumOfBalance(UserQuery query);

    /**
     * 查询运营商数量
     */
    Integer selectMchCount(UserQuery query);

    /**
     * 查询用户数量
     */
    Integer selectCount(UserQuery query);

}
